# StageLogGetActive

This function returns whether events will be logged suring this stage.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT StageLogGetActive(StageLog stageLog, int stage, PetscTruth *isActive)

Not Collective

### Input Parameters

| stageLog | - The StageLog
| stage | - The stage to log

### Output Parameter

isActive -The activity flag, PETSC_TRUE for logging, otherwise PETSC_FALSE (default is PETSC_TRUE)

### Keywords

log, visible, stage

### See Also

StageLogSetActive(), StageLogGetCurrent(), StageLogRegister(), PetscLogGetStageLog()

Level:intermediate
Location: src/sys/plog/utils/stageLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages